Bug 1098404 - Project search resizes in the middle of clicking a result, preventing the click
Project search resizes in the middle of clicking a result, preventing the click
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Component-UI (Show other bugs)
3.4
Unspecified Unspecified
unspecified Severity medium
: ---
: 3.5
Assigned To: Luke Brooker
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-16 02:11 EDT by David Mason
Modified: 2016-04-18 05:37 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.4.2-SNAPSHOT (git-server-3.4.1-1-g722ff43)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-01-26 18:28:05 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Mason 2014-05-16 02:11:49 EDT
Description of problem:
When there are several results shown below the project search field, the beginning of a click triggers the search field to shrink, which changes the layout of the results and can prevent the click from working.

Version-Release number of selected component (if applicable):


How reproducible:
easy, as long as there is a project with a long name on the server

Steps to Reproduce:
1. Focus the project search and type some letters, until multiple results are shown (at least one result must have a name that is wider than the non-expanded search field).
2. Position the mouse over a result towards the bottom of the result list
3. Click mouse button down for a moment
4. Release mouse button

Actual results:
3. Search field and result list shrink in width, changing the result layout.
4. Mouse is not released over the targeted result, so no navigation happens. 

Expected results:
3. Search field and results remain the same size no matter how long the mouse button is held down.
4. Mouse is released on the same element that was clicked, the browser navigates to the project that was clicked.

Additional info:
A similar issue was solved for the editor search suggestions by toggling a flag on and off when there is a 'mousedown' on a result and a 'mouseup' anywhere (respectively), and having the search field blur event start polling every 50ms until the flag is off, before performing the blur behaviour.
Comment 1 Luke Brooker 2014-05-27 00:18:11 EDT
This is fixed in assets:

https://github.com/zanata/zanata-assets/commit/7fa603096e34c61f07cd4e0776c96f55922ad46c

Dean, can you please confirm on one of the test servers?
Comment 2 Ding-Yi Chen 2014-05-28 20:38:25 EDT
VERIFIED with Zanata 3.4.2-SNAPSHOT (git-server-3.4.1-1-g722ff43)

Note You need to log in before you can comment on or make changes to this bug.